{
  config,
  ...
}:

{
  services = {
    nginx.virtualHosts."music-assistant.${config.networking.hostName}" = {
      extraConfig = ''
        proxy_buffering off;
      '';
      locations."/" = {
        proxyPass = "http://[::1]:8095";
        proxyWebsockets = true;
      };
    };
    music-assistant = {
      enable = true;
      providers = [
        "hass"
        "jellyfin"
      ];
    };
  };
}
